<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:layout_height="32dp">

    <EditText
        android:id="@+id/et_content"
        style="@style/TextBody2"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@null"
        android:maxLines="1"
        android:paddingStart="34dp"
        android:paddingEnd="12dp"
        android:singleLine="true"
        android:imeOptions="actionDone"
        android:textColorHint="@color/text_instance"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:hint="搜索关键词"/>

    <ImageView
        android:id="@+id/iv_start"
        android:layout_width="14dp"
        android:layout_height="14dp"
        android:layout_marginStart="12dp"
        android:src="@drawable/ic_search"
        app:tint="@color/text_instance"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/v_end"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="1:1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/iv_end"
        android:layout_width="14dp"
        android:layout_height="14dp"
        app:layout_constraintBottom_toBottomOf="@id/v_end"
        app:layout_constraintEnd_toEndOf="@id/v_end"
        app:layout_constraintStart_toStartOf="@id/v_end"
        app:layout_constraintTop_toTopOf="@id/v_end"
        app:srcCompat="@drawable/ic_clear"
        app:tint="@color/text_instance" />

    <androidx.constraintlayout.widget.Group
        android:id="@+id/g_end"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:constraint_referenced_ids="iv_end,v_end" />
</androidx.constraintlayout.widget.ConstraintLayout>